## super 0.0.3

=== DESCRIPTION ===
Package: super
Title: Interpreted String Literals
Version: 0.0.3
Authors@R: 
    c(
        person(
            given   = "Tim",
            family  = "Taylor",
            role    = c("aut", "cre"),
            email   = "tim.taylor@hiddenelephants.co.uk",
            comment = c(ORCID = "0000-0002-8587-7113")
        ),
        person(
            given   = "Jim",
            family  = "Hester",
            role    = "aut",
            comment = c(ORCID = "0000-0002-2739-7082")
        ),
        person(
            given   = "Jennifer",
            family  = "Bryan",
            role    = "aut",
            comment = c(ORCID = "0000-0002-6983-2759")
        ),
        person(
            "Posit Software, PBC",
            role = c("cph", "fnd")
        )
  )
Description: An implementation of interpreted string literals. Based on the
  'glue' package by Hester & Bryan (2024) <doi:10.32614/CRAN.package.glue> but
  with a focus on efficiency and simplicity at a cost of flexibility.
License: MIT + file LICENSE
URL: https://timtaylor.github.io/super/
BugReports: https://github.com/TimTaylor/super/issues
Depends: R (>= 3.6)
Suggests: glue, litedown, microbenchmark, tinytest
VignetteBuilder: litedown
Encoding: UTF-8
RoxygenNote: 7.3.2
Config/build/compilation-database: true
NeedsCompilation: yes
Packaged: 2024-11-21 18:25:33 UTC; tim
Author: Tim Taylor [aut, cre] (<https://orcid.org/0000-0002-8587-7113>),
  Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
  Jennifer Bryan [aut] (<https://orcid.org/0000-0002-6983-2759>),
  Posit Software, PBC [cph, fnd]
Maintainer: Tim Taylor <tim.taylor@hiddenelephants.co.uk>
Repository: CRAN
Date/Publication: 2024-11-22 09:00:06 UTC

## super 0.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: super
 Title: Interpreted String Literals
-Version: 0.0.3
+Version: 0.0.4
 Authors@R: 
     c(
         person(
@@ -40,11 +40,11 @@
 RoxygenNote: 7.3.2
 Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2024-11-21 18:25:33 UTC; tim
+Packaged: 2024-12-16 21:11:24 UTC; tim
 Author: Tim Taylor [aut, cre] (<https://orcid.org/0000-0002-8587-7113>),
   Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
   Jennifer Bryan [aut] (<https://orcid.org/0000-0002-6983-2759>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Tim Taylor <tim.taylor@hiddenelephants.co.uk>
 Repository: CRAN
-Date/Publication: 2024-11-22 09:00:06 UTC
+Date/Publication: 2024-12-16 21:30:02 UTC

## super 0.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: super
 Title: Interpreted String Literals
-Version: 0.0.4
+Version: 0.0.5
 Authors@R: 
     c(
         person(
@@ -40,11 +40,11 @@
 RoxygenNote: 7.3.2
 Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2024-12-16 21:11:24 UTC; tim
+Packaged: 2025-02-05 11:19:50 UTC; tim
 Author: Tim Taylor [aut, cre] (<https://orcid.org/0000-0002-8587-7113>),
   Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
   Jennifer Bryan [aut] (<https://orcid.org/0000-0002-6983-2759>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Tim Taylor <tim.taylor@hiddenelephants.co.uk>
 Repository: CRAN
-Date/Publication: 2024-12-16 21:30:02 UTC
+Date/Publication: 2025-02-05 11:40:02 UTC

## super 0.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: super
 Title: Interpreted String Literals
-Version: 0.0.5
+Version: 0.1.0
 Authors@R: 
     c(
         person(
@@ -31,8 +31,8 @@
   'glue' package by Hester & Bryan (2024) <doi:10.32614/CRAN.package.glue> but
   with a focus on efficiency and simplicity at a cost of flexibility.
 License: MIT + file LICENSE
-URL: https://timtaylor.github.io/super/
-BugReports: https://github.com/TimTaylor/super/issues
+URL: https://timtaylor.codeberg.page/super/
+BugReports: https://codeberg.org/TimTaylor/super/issues
 Depends: R (>= 3.6)
 Suggests: glue, litedown, microbenchmark, tinytest
 VignetteBuilder: litedown
@@ -40,11 +40,11 @@
 RoxygenNote: 7.3.2
 Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2025-02-05 11:19:50 UTC; tim
+Packaged: 2025-03-11 21:32:21 UTC; tim
 Author: Tim Taylor [aut, cre] (<https://orcid.org/0000-0002-8587-7113>),
   Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
   Jennifer Bryan [aut] (<https://orcid.org/0000-0002-6983-2759>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Tim Taylor <tim.taylor@hiddenelephants.co.uk>
 Repository: CRAN
-Date/Publication: 2025-02-05 11:40:02 UTC
+Date/Publication: 2025-03-11 21:50:02 UTC

## super 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: super
 Title: Interpreted String Literals
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: 
     c(
         person(
@@ -40,11 +40,11 @@
 RoxygenNote: 7.3.2
 Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2025-03-11 21:32:21 UTC; tim
+Packaged: 2025-04-25 20:12:21 UTC; tim
 Author: Tim Taylor [aut, cre] (<https://orcid.org/0000-0002-8587-7113>),
   Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
   Jennifer Bryan [aut] (<https://orcid.org/0000-0002-6983-2759>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Tim Taylor <tim.taylor@hiddenelephants.co.uk>
 Repository: CRAN
-Date/Publication: 2025-03-11 21:50:02 UTC
+Date/Publication: 2025-04-25 20:40:02 UTC

## super 3.9.7-3

=== Makefile ===

#######
# Where the executable goes
BINDIR=/usr/local/bin

#######
# Man pages

# Directory for super(1) and setuid(1) man pages
MANDIR=/usr/local/man/man1

# Extension on the super(1) and setuid(1) man pages
MANEXT=1

# Directory for the man page describing the format of the super.tab file.
# Note: file formats usually go into section 4 (SysV) or section 5 (BSD).
MAN_FMT_DIR=/usr/local/man/man4

# Extension on the super.tab format man page.
MAN_FMT_EXT=4

#######
# CONFIG_FLAGS

#   1. USE_NETGROUP: This indicates whether the hostname "+xxx" should mean
#	any host in netgroup "xxx"; e.g. `joe@+xyz' means allow
#	joe to execute the command from any host in NIS netgroup xyz.
#	If USE_NETGROUP is not defined, `joe@+xyz' means joe at host `+xyz'.
#	(Netgroups are typically defined in /etc/netgroup on your NIS master.)

#   2. USE_SYSLOG: This indicates whether the error-message printing routine
#	should be compiled with the option of calling syslog().  You should
#	define this if you have syslog() available.  The actual printing to
#	syslog at runtime is controlled by the global option syslog=y|n.
#	See also SYSLOG_PRIORITY, below.

#   3. MAXFD: if you don't have the system call getdtablesize() to return the
#	number of file descriptors, define
#		MAXFD=<expression to give max ok value of a file descr>.
#	If MAXFD is not defined, getdtablesize() is used.
#	Examples: 	-DMAXFD=63	-- hardwired for 64 max descriptors;
#			-DMAXFD="sysconf(_SC_OPEN_MAX)-1" -- HP-UX 8.x, 9.x

#   4. SUPERFILE: if you want the superfile to be other than
#	/usr/local/lib/super.tab, add -DSUPERFILE=\"FullPathName\"

#   5. SAFE_PATH: this is the setting of the PATH variable for any command
#	executed by super.  The default is "/bin:/usr/bin:/usr/ucb".
#	If you prefer a different path, add -DSAFE_PATH=\"MyPreferredPath\",
#	and change the description of PATH in the man page to match.

#   6. TIMESTAMP_DIR: This is the directory in which timestamp files are
#	kept for commands requiring passwords to be entered.  The default
#	is "/usr/local/lib/superstamps".  If you prefer a different path,
#	add -DTIMESTAMP_DIR=\"/My/Preferred/Directory\".

#   7. L14: define this if your filenames can only be 14 characters long.
#	Timestamp filenames usually look like hostname/user; with this option,
#	the hostname part is truncated to 14 characters.

#   8. INTERPRETER_HACK: If your execve() function doesn't support the
#	"#!" hack, in which executable scripts beginning
#		"#! interpreter [arg]"
#	are automatically passed to the interpreter, define -DINTERPRETER_HACK.
#	Super will include code to implement "#!" processing.

#   9. USE_GETHOSTBYNAME: If you have a nameserver, you should enable
#	this, which does the following:  If super tries and fails to match
#	the hostname (as returned by gethostname()), it will try removing
#	trailing components of the fully-qualified hostname and seeing if
#	they match the host pattern.

#   12. ONETRUENAME: the name under which the program assumes it is installed.
#	If argv[0] isn't [/.../]ONETRUENAME, we assume we're running via
#	symlink, and act as if `super xxx args' had been typed instead of
#	`super args', where xxx is argv[0].  The default is "super", and
#	you should _not_ change this without a good reason!

#   13. RLOG_MACHINE: If you enable the use of syslog() (-DUSE_SYSLOG),
#	by default standard syslog() calls will be used.  But you also have
#	the option of using rsyslog(), which will direct the syslog messages to
#	a host on your network.  If you want to use rsyslog(), then you
#	must define RLOG_MACHINE, and you should also define SYSLOG_PRIORITY
#	(see following item).  RLOG_MACHINE specifies the machine
#	which will receive the networked syslog messages.  For example:
#		-DRLOG_MACHINE=\"toto.domain\"
#	(If you distribute this code, be careful to remove the name of
#	your collecting machine from this Makefile.  Note that the "make
#	shar" command, below, will strip this for you.).

#   14. SYSLOG_PRIORITY: This variable specifies the priority of syslog
#	messages.  If you don't define it, the default is LOG_ERR.
#	(Regardless of this setting, _successful_ executions are logged
#	at priority LOG_INFO.)

#	If you are using standard syslog(), you may define it symbolically,
#	for example:
#		-DSYSLOG_PRIORITY=LOG_ERR
#	or
#		-DSYSLOG_PRIORITY="(LOG_LOCAL1 | LOG_WARNING)"

#	But if you are using rsyslog(), you should define it differently:
#	its value depends on the machine which will _receive_ the log
#	messages, NOT the sending machine.  It should be defined in the
#	Makefile because the value can differ on the machine that compiles
#	and runs super, compared to the value on the log host.

#	For example, if your receiving machine is a Sun running SunOS 4.1.3,
#	or HP-UX 8.x or 9.x, using -DRLOG_PRIORITY='((17<<3)+4)' will set
#	the priority of the networked syslog to the facility LOG_LOCAL1, with
#	the priority LOG_WARNING.  The log machine should have a line that
#	matches this in its syslog.conf file; for the above priority, use
#	an entry like:
#		/etc/syslog.conf:local1.warning        /var/adm/super.log

#   15. NEED_MEMSET: This indicates whether you have a memset() routine.
#	If you don't, define -DNEED_MEMSET and one will be compiled for you.

#   16. NEED_STRTOL: This indicates whether you have the strtol() function.
#	If you don't, define -DNEED_STRTOL and one will be compiled for you.

#   17. HAVE_LOCALE: Define this if you have <locale.h> and setlocale().

#   18. HAVE_LOCALTIME: Define this if you have localtime().

#   19. NEED_STRERROR: Define this if your system doesn't have strerror().

#   20. NEED_SYS_ERRLIST: If you don't have strerror() -- i.e. if you have
#	defined NEED_STRERROR -- then define this if you _don't_ have
#	sys_errlist[] _and_ sys_nerr.

# *************************************************
# NOTE: AT THIS WRITING, THE CONFIGURATIONS HAVE ONLY BEEN
# TESTED WITH SUPER 3.9 ON:
#	SUNOS 4.3.x
#	SUNOS 5.4, 5.5
#	Digital UNIX 3.2
#	HP-UX 9.x
# SOME OF THE OTHER SETTINGS ARE +++ GUESSES +++
# *************************************************

# AIX:
#CONFIG_FLAGS= \
#	-DUSE_NETGROUP \
#	-DMAXFD="sysconf(_SC_OPEN_MAX)-1" \
#	-DHAVE_LOCALTIME \
#	-DHAVE_LOCALE \
#	-DUSE_SYSLOG \
#	-DUSE_GETHOSTBYNAME \
#	-DRLOG_MACHINE=\"toto.domain\" -DSYSLOG_PRIORITY='((17<<3)+4)'

# Clix 3.1 r.7.1.3 (Intergraph)
#CONFIG_FLAGS= \
#	-DUSE_NETGROUP \
#	-DINTERPRETER_HACK \
#	-DNEED_MEMSET \
#	-DNEED_STRTOL

# Digital UNIX
# (a.k.a DEC OSF/1 prior to Digital UNIX V3.2)
#CONFIG_FLAGS= \
#	-DUSE_NETGROUP \
#	-DMAXFD="sysconf(_SC_OPEN_MAX)-1" \
#	-DHAVE_LOCALTIME \
#	-DHAVE_LOCALE \
#	-DUSE_SYSLOG \
#	-DUSE_GETHOSTBYNAME

# HP-UX 9.01:
CONFIG_FLAGS= \
	-DUSE_NETGROUP \
	-DMAXFD="sysconf(_SC_OPEN_MAX)-1" \
	-DHAVE_LOCALTIME \
	-DHAVE_LOCALE \
	-DUSE_SYSLOG \
	-DUSE_GETHOSTBYNAME \
	-DRLOG_MACHINE=\"toto.domain\" -DSYSLOG_PRIORITY='((17<<3)+4)'

# IRIX v4.0.5:
#CONFIG_FLAGS= \
#	-DUSE_NETGROUP \
#	-DUSE_SYSLOG \
#	-DHAVE_LOCALTIME \
#	-DHAVE_LOCALE \
#	-DUSE_GETHOSTBYNAME \
#	-DSAFE_PATH=\"/bin:/usr/bin:/usr/bsd\"  

# IRIX v5.3:
#CONFIG_FLAGS= \
#	-DUSE_NETGROUP \
#	-DUSE_SYSLOG \
#	-DHAVE_LOCALTIME \
#	-DHAVE_LOCALE \
#	-DUSE_GETHOSTBYNAME \
#	-DSAFE_PATH=\"/bin:/usr/bin:/usr/bsd\"  

# Linux v1.2:
#CONFIG_FLAGS= \
#	-DSAFE_PATH=\"/bin:/usr/bin\" \
#	-DHAVE_LOCALTIME \
#	-DHAVE_LOCALE \
#	-DUSE_SYSLOG \
#	-DUSE_GETHOSTBYNAME \
#	-DSYSLOG_FACILITY=LOG_AUTH \
#	-DSYSLOG_PRIORITY=LOG_INFO \

# SCO 3.2v4
#CONFIG_FLAGS= \
#	-DHAVE_LOCALTIME \
#	-DUSE_SYSLOG


# Solaris 2.x:
#CONFIG_FLAGS= \
#	-DHAVE_LOCALTIME \
#	-DHAVE_LOCALE \
#	-DUSE_NETGROUP \
#	-DUSE_SYSLOG \
#	-DUSE_GETHOSTBYNAME \
#	-DMAXFD="sysconf(_SC_OPEN_MAX)-1" \
#	-DHAVE_LOCALTIME \
#	-DHAVE_LOCALE
   
# SunOS 4.1.3:  explicitly put in HAVE_LOCALTIME in case you are
# compiling with the bundled cc, which isn't STD C, but does have
# the localtime() function.
#CONFIG_FLAGS= \
#	-DUSE_NETGROUP \
#	-DUSE_SYSLOG \
#	-DHAVE_LOCALTIME \
#	-DHAVE_LOCALE \
#	-DNEED_STRERROR \
#	-DUSE_GETHOSTBYNAME

# TI SYSV 3.3:
#CONFIG_FLAGS= \
#	-DMAXFD=63 \
#	-DUSE_SYSLOG \
#	-DL14 \
#	-DUSE_GETHOSTBYNAME \
#	-DINTERPRETER_HACK \
#	-DHAVE_LOCALTIME \
#	-DNEED_STRERROR \
#	-DNEED_SYS_ERRLIST

# Ultrix V4.3A:
#CONFIG_FLAGS= \
#	-DUSE_GETHOSTBYNAME \
#	-DHAVE_LOCALTIME \
#	-DUSE_SYSLOG

# UnixWare 2.0:
#CONFIG_FLAGS= \
#	-DHAVE_LOCALTIME \
#	-DUSE_SYSLOG

# #####
# C compiler and CFLAGS

# AIX
# CC=cc
# CFLAGS= -O -D_ALL_SOURCE $(CONFIG_FLAGS)

# Clix 3.1 r.7.1.3 (Intergraph)
# CC=cc
# CFLAGS=  -O $(CONFIG_FLAGS)

# Digital UNIX
# (known as DEC OSF/1 prior to Digital UNIX V3.2)
#
# If you are running V2.0 to V3.2, and you have the DEC C
# compiler installed, you should add -migrate to CFLAGS.
# CC=cc
# CFLAGS= -std -migrate -DDigital_UNIX $(CONFIG_FLAGS)
# CFLAGS= -std -DDigital_UNIX $(CONFIG_FLAGS)

# HP-UX 9.01:
#    Note: unpatched HP-UX 9.01 c89 has a bug, so that compiling with -O
#    doesn't work.  Patched version is OK.
CC=c89
CFLAGS= -g -Aa -D_HPUX_SOURCE $(CONFIG_FLAGS)

# IRIX v4.0.5:
# CC=cc
# CFLAGS= -O -DUSE_NETGROUP $(CONFIG_FLAGS)

# Linux v1.2:
# CC=gcc
# CFLAGS= -O2

# SCO 3.2v4
# CC=cc
# CFLAGS= -O -DSCO $(CONFIG_FLAGS)

# Solaris 2.2, 2.3; SunOS 5.2, 5.3, gcc:
# CC=gcc
# CFLAGS= -O -DSUNOS5 $(CONFIG_FLAGS)

# Solaris 2.4; SunOS 5.4, gcc 2.7.1:
# CC=gcc
# CFLAGS= -O -DSUNOS5_4 $(CONFIG_FLAGS)

# Solaris 2.4; SunOS 5.4; Sun 3.0.1 C compiler:
# CC=??? (sorry, don't know its name)
# CFLAGS= -O -Xc -DSUNOS5_4 -D_POSIX_C_SOURCE -D__EXTENSIONS__ $(CONFIG_FLAGS)

# SunOS 4.1.3:
# CC=gcc
# CFLAGS= -O $(CONFIG_FLAGS)

# TI SYS V 3.3:
# CC=gcc
# CFLAGS=-O $(CONFIG_FLAGS) -traditional

# Ultrix V4.3A
# CC=cc
# CFLAGS= -g3 -O $(CONFIG_FLAGS)

# UnixWare 2.0:
# CC=cc
# CFLAGS= -O

#######
# LDFLAGS,LDLIBS

# Default:
# LDFLAGS=
# LDLIBS=

# AIX
# LDFLAGS=
# LDLIBS=

# Clix 3.1 r.7.1.3 (Intergraph)
# LDFLAGS=
# LDLIBS=-lbsd

# Digital UNIX or DEC OSF/1 (prior to Digital UNIX V3.2)
# LDFLAGS=
# LDLIBS=

# HP-UX 9.01:
LDFLAGS=
LDLIBS=

# IRIX v4.0.5:	-lsun is for the NIS stuff (so that you can use
#	netgroup entries).  -lmalloc avoids a problem with the
#	default malloc routine that causes a core dump.
# LDFLAGS =
# LDLIBS = -lmalloc -lsun

# Linux v1.2:
# LDFLAGS=
# LDLIBS=

# SCO 3.2v4
# LDFLAGS=
# LDLIBS= -lsocket -lmalloc -lufc -lsec

# Solaris 2.2, 2.3, 2.4: don't use -Bstatic or -static: it should not be needed
# for security (see LD_LIBRARY_PATH in ld(1)), and the groupname-lookup
# routines are for some reason only available in shared libs (see getgrnam(3)).
# LDFLAGS=
# LDLIBS= -lnsl

# SunOS 4.1.3: no special flags needed.  N.B.: If you use SunOS 4.0.x, you
# should link statically for security.  (I don't know about the proper
# flags for SunOS 4.1.1).
# LDFLAGS=
# LDLIBS=

# TI SYS V 3.3:
# LDFLAGS=
# LDLIBS=-lsocket


# Ultrix V4.3A
# LDFLAGS=
# LDLIBS=

# UnixWare 2.0
# LDFLAGS= -L/usr/ucblib
# LDLIBS= -lgen -lcrypt -lucb


####################################################################
# You shouldn't have to modify anything below this line.
####################################################################

SRC= $(SUPER_SRC) $(SETUID_SRC)

SUPER_C_SRC = super.c approve.c checks.c colon.c braces.c error.c \
	hsearch.c options.c regex.c re_fail.c rsyslog.c \
	strqtokS.c time.c utils.c wildmat.c

SUPER_H_SRC = hsearch.h version.h options.h super.h

SUPER_SRC = $(SUPER_C_SRC) $(SUPER_H_SRC)

SETUID_SRC = setuid.c

SUPER_OBJ= super.o approve.o checks.o colon.o braces.o error.o \
	hsearch.o options.o regex.o re_fail.o rsyslog.o \
	strqtokS.o time.o utils.o wildmat.o

ALL= README Artistic Copying WhatsNew Makefile super.1 super.5 setuid.1 sample.tab sample.cdmount $(SRC)

all: super setuid

super: $(SUPER_OBJ)
	$(CC) $(LDFLAGS) -o super $(SUPER_OBJ) $(LDLIBS)

setuid: setuid.o
	$(CC) $(LDFLAGS) -o setuid setuid.o

cflow:
	cflow $(SUPER_C_SRC) > cflow.out
	cflow -r $(SUPER_C_SRC) > cflow.rev

# NOTICE NOTICE NOTICE!
# You must install super as "super", and not use any other program name.

## super 3.30.0

=== debian/changelog ===
super (3.30.0-7) unstable; urgency=medium

  * Add 15-Fix-gcc-warnings.patch to fix `variable-set-but-unused' warnings.
  * Fix clang's warning in 08-Logfile-group.patch.
  * debian/rules, debian/control:
    + switch to debhelper v9 and tiny rules file;
    + compile with LFS support enabled (lintian);
    + add support for cross-compiling;
    + remove usage of hardening-includes package, the hardening options are 
      now provided by dpkg-buildflags instead.
  * Remove debian/preinst script, used to handling migrations from ancient
    versions of the package.
  * Standards-Version: 3.9.5:
    + use /run/superstamps directly instead of the /var/run/ symlink.

 -- Robert Luberda <robert@debian.org>  Tue, 29 Apr 2014 09:34:24 +0200

super (3.30.0-6+deb7u1) wheezy-security; urgency=high

  * Add 14-Fix-unchecked-setuid-call.patch to fix a flaw in `super -F'
    command which might open super for RLIMIT_NPROC style exploits on
    older 2.6 kernels (CVE-2014-0470).

 -- Robert Luberda <robert@debian.org>  Wed, 23 Apr 2014 00:30:28 +0200

super (3.30.0-6) unstable; urgency=high

  * Add 12-Use-vsnprintf.patch to fix buffer overflow error occurring
    when logging via syslog is enabled (CVE-2011-2776).
  * Add 13-Potential-format-string-vulnerability.patch to fix
    a vulnerability that might occur if the user of file name or file
    name used in the tag contains a '%' character.
  * Rename & refresh other patches with gbp-pq import/export.
  * debian/control:
    + Add VCS fields;
    + Standards-Version: 3.9.2 (no changes).
    + Sort dependency fields with wrap and sort.

 -- Robert Luberda <robert@debian.org>  Mon, 09 Jan 2012 00:34:16 +0100

super (3.30.0-5) unstable; urgency=low

  * 10_ftbfs_hurd.patch: fix FTBFS on GNU/Hurd.
  * 11_gcc_wformat.patch: fix warnings given by gcc when hardening options
    are turned on.

 -- Robert Luberda <robert@debian.org>  Mon, 21 Feb 2011 22:04:44 +0100

super (3.30.0-4) unstable; urgency=low

  * Switch to the `3.0 (quilt) source format:
    + remove build-time depenency on quilt;
    + remove debian/README.source.

  * debian/rules:
    + drop patch/unpatch target;
    + use dpkg-buildflags for getting CFLAGS/LDFLAGS;
    + call dh_auto_{configure,build,clean} commands;
    + provide build-{arch,indep} targets.

  * 09_Makefile_srcdir.patch: new patch to use $(srcdir) where it's needed.
  * Enable hardening logic provided by the hardening-includes package; add
    the package to build-depends.
  * Standards-Version: 3.9.1.
  * Build with debhelper v8.

 -- Robert Luberda <robert@debian.org>  Sat, 19 Feb 2011 13:25:00 +0100

super (3.30.0-3) unstable; urgency=low

  * 07_ftbfs_kfreebsd.patch: A patch from Cyril Brulebois to fix FTBFS 
    on GNU/kFreeBSD (closes: #561787).
  * 08_logfile_group.patch: Create log files owned by the adm group and with
    proper access rights (closes: #112700).
  * Updated 05_manpages.patch to fix yet another warning from man.

  * Standards-Version: 3.8.3.
  * Bump debhelper to v7.
  * Remove linda overrides, use dh_lintian for installing lintian's overrides.
  * Remove /var/run/superstamps from the binary package. The directory will be
    created by super anyway, if it doesn't exist.
  * Add a home page link, a README.source file.
  * Write patches' descriptions.

 -- Robert Luberda <robert@debian.org>  Sun, 03 Jan 2010 15:08:34 +0100

super (3.30.0-2) unstable; urgency=low

  * Bump build-dependency on debhelper.
  * Fix hyphens in man pages (lintian).
  * Pass -Wl,-as-needed to LD_FLAGS to quit dpkg-shlibdeps warnings.
  * Add support for cross-compiling.
  * Move to quilt for managing patches, split debian diff into 0[1-5]*.patch.
  * 06_gcc_warnings.patch: fix gcc -Wall warnings.

 -- Robert Luberda <robert@debian.org>  Sat, 19 Apr 2008 17:24:05 +0200

super (3.30.0-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Sat, 22 Dec 2007 15:29:00 +0100

super (3.28.0-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.3 (no changes).
  * Set debhelper compat version to 6.

 -- Robert Luberda <robert@debian.org>  Wed, 19 Dec 2007 20:12:09 +0100

super (3.27.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sun, 15 Apr 2007 19:08:49 +0200

super (3.27.1-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Thu, 22 Mar 2007 08:25:12 +0100

super (3.26.2-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.2 (no changes needed).

 -- Robert Luberda <robert@debian.org>  Wed, 31 Jan 2007 00:33:22 +0100

super (3.26.1-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Standards-Version: 3.6.2.
  * Remove lintian source overrides file, it's not needed.
  * Fix format of the `closes' clauses at the end of this changelog 
    to make lintian happy.

 -- Robert Luberda <robert@debian.org>  Thu, 17 Nov 2005 18:50:03 +0100

super (3.26.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Mon,  8 Nov 2004 23:15:11 +0100

super (3.26.0-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Tue, 26 Oct 2004 21:17:31 +0200

super (3.25.0-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Fri, 15 Oct 2004 21:08:08 +0200

super (3.24.1-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Fri, 10 Sep 2004 20:59:52 +0200

super (3.23.0-2) unstable; urgency=low

  * Fix FTBFS problem on hurd (closes:#256634). 

 -- Robert Luberda <robert@debian.org>  Wed, 30 Jun 2004 20:11:17 +0200

super (3.23.0-1) unstable; urgency=high

  * New upstream version:
    + fixed format string vulnerability (CAN-2004-0579) 
      found by Max Vozeler <max@hinterhof.net>.
  * Added debian/watch file.

 -- Robert Luberda <robert@debian.org>  Fri, 18 Jun 2004 22:40:17 +0200



=== debian/control ===
Source: super
Section: admin
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), libpam0g-dev (>= 0.76-14)
Homepage: http://ftp.ucolick.org/pub/users/will/
Vcs-Git: git://anonscm.debian.org/users/robert/super.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/super.git

Package: super
Architecture: any
Depends: libpam-runtime (>= 0.76-14), ${misc:Depends}, ${shlibs:Depends}
Recommends: logrotate (>= 3.5.9)
Description: Execute commands setuid root
 Super allows specified users to execute scripts (or other commands)
 as if they were root; or it can set the uid and/or gid on a
 per-command basis before executing the command.  It is intended to be
 a secure alternative to making scripts setuid root.

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR        := DEB-BUILD
DH_AUTO_OPTIONS := -v -Sautoconf -B$(BUILDDIR) --parallel
DESTDIR         := $(CURDIR)/debian/$(shell dh_listpackages)
TDIR            := $(CURDIR)/debian/_tmp_
CFLAGS          := -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
LDFLAGS         := -Wl,-z,defs -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC := $(DEB_HOST_GNU_TYPE)-gcc
else
  CC := gcc
endif

%:
	dh ${@}

override_dh_auto_configure:
	CC="$(CC)"  \
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	dh_auto_configure $(DH_AUTO_OPTIONS) -- \
	                --enable-pam

override_dh_auto_build:	
	dh_auto_build $(DH_AUTO_OPTIONS) -- \
	                 TIMESTAMP_DIR=/run/superstamps \
	                 D_SYSLOG_PRIORITY="-DSYSLOG_PRIORITY=LOG_INFO -DSYSLOG_FACILITY=LOG_AUTH"
	
	mkdir $(TDIR)
	sed '25,50d' README > $(TDIR)/README
	cp -a sample.tab $(TDIR)/super.tab
	cp -a sample.cdmount $(TDIR)/cdmount
	cp -a sample.cdumount $(TDIR)/cdumount
	chmod 755 $(TDIR)/cdmount
	chmod 755 $(TDIR)/cdumount
	

override_dh_auto_clean:
	dh_auto_clean $(DH_AUTO_OPTIONS)
	rm -rf Makefile *~ $(TDIR) config.cache config.log

override_dh_auto_install:
	dh_auto_install $(DH_AUTO_OPTIONS) --destdir="$(DESTDIR)"
	dh_install debian/super.tab etc
	mv $(DESTDIR)/usr/share/man/man5/super.5 \
	        $(DESTDIR)/usr/share/man/man5/super.tab.5

override_dh_installchangelogs:
	dh_installchangelogs WhatsNew

override_dh_fixperms:
	dh_fixperms -Xusr/bin/super

## super 3.30.1

=== debian/changelog ===
super (3.30.1-1) unstable; urgency=low

  * New upstream version.
  * Add 16-Fix-more-gcc-warnings.patch to fix a few more gcc warnings.
  * Bump debhelper's compat version to 11.
  * Enable all hardening flags.
  * Add lintian override for bogus spelling-error-in-manpage.
  * Switch VCS fields to salsa.
  * Switch debian/copyright to DEP-5 format.
  * Standards-Version: 4.1.4.

 -- Robert Luberda <robert@debian.org>  Fri, 29 Jun 2018 21:13:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), libpam0g-dev (>= 0.76-14)
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), libpam0g-dev (>= 0.76-14)
 Homepage: http://ftp.ucolick.org/pub/users/will/
-Vcs-Git: git://anonscm.debian.org/users/robert/super.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/super.git
+Vcs-Git: https://salsa.debian.org/debian/super.git
+Vcs-Browser: https://salsa.debian.org/debian/super/
 
 Package: super
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+
+# disable autoheader, as it fails for some reason
+export AUTOHEADER := /bin/true
 
 BUILDDIR        := DEB-BUILD
 DH_AUTO_OPTIONS := -v -Sautoconf -B$(BUILDDIR) --parallel
 DESTDIR         := $(CURDIR)/debian/$(shell dh_listpackages)
 TDIR            := $(CURDIR)/debian/_tmp_
-CFLAGS          := -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
+CFLAGS          := -Wall -Wno-unused-const-variable \
+                   $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
 LDFLAGS         := -Wl,-z,defs -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))

## super 3.30.3

=== debian/changelog ===
super (3.30.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build as C17 to fix FTBFS (K&R declarations) (Closes: #1097949)

 -- Andrew Bower <andrew@bower.uk>  Mon, 22 Sep 2025 23:18:35 +0100

super (3.30.3-2) unstable; urgency=medium

  * Add 18-Fix-FTBFS-automake.patch (closes: #997769).
  * Update debian/linitan-overrides for changes in lintian itself.
  * Update version of debian/watch file.
  * Standards-Version: 4.6.0.

 -- Robert Luberda <robert@debian.org>  Wed, 03 Nov 2021 22:55:32 +0100

super (3.30.3-1) unstable; urgency=medium

  * New upstream version.
  * Add 17-Fix-FTBFS-gcc10.patch (closes: #957850).
  * Build with debhelper v13.
  * Update lintian-overrides for renamed tag; add an override for an absurd
    warning about spelling in the override file itself.
  * Fix tabs in debian/copyright (lintian).
  * debian/control:
    + Build-Requires-Root: no;
    + Standards-Version: 4.5.0.

 -- Robert Luberda <robert@debian.org>  Sat, 15 Aug 2020 10:37:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11), libpam0g-dev (>= 0.76-14)
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), libpam0g-dev (>= 0.76-14)
+Rules-Requires-Root: no
 Homepage: http://ftp.ucolick.org/pub/users/will/
 Vcs-Git: https://salsa.debian.org/debian/super.git
 Vcs-Browser: https://salsa.debian.org/debian/super/
@@ -11,6 +12,7 @@
 Package: super
 Architecture: any
 Depends: libpam-runtime (>= 0.76-14), ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: logrotate (>= 3.5.9)
 Description: Execute commands setuid root
  Super allows specified users to execute scripts (or other commands)

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 # disable autoheader, as it fails for some reason
 export AUTOHEADER := /bin/true
@@ -9,9 +7,15 @@
 DH_AUTO_OPTIONS := -v -Sautoconf -B$(BUILDDIR) --parallel
 DESTDIR         := $(CURDIR)/debian/$(shell dh_listpackages)
 TDIR            := $(CURDIR)/debian/_tmp_
-CFLAGS          := -Wall -Wno-unused-const-variable \
-                   $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
-LDFLAGS         := -Wl,-z,defs -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
+
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-unused-const-variable $(shell getconf LFS_CFLAGS) -std=c17
+DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs
+DPKG_EXPORT_BUILDFLAGS  := 1
+
+include /usr/share/dpkg/buildflags.mk
+
+include /usr/share/dpkg/architecture.mk
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
   CC := $(DEB_HOST_GNU_TYPE)-gcc

=== debian/watch ===
# control file for the uscan(1) tool
version=4
ftp://ftp.ucolick.org/pub/users/will/super-([\d\.]+)-tar.gz

## super devops-1.0.1

=== requirements.txt ===
asn1crypto==0.23.0
astroid==1.5.3
backports.functools-lru-cache==1.4
bcrypt==3.1.3
certifi==2017.7.27.1
cffi==1.11.2
chardet==3.0.4
colorama==0.3.9
configparser==3.5.0
cryptography==2.0.3
enum34==1.1.6
idna==2.6
ipaddress==1.0.18
isort==4.2.15
lazy-object-proxy==1.3.1
mccabe==0.6.1
paramiko==2.3.1
pyasn1==0.3.7
pycparser==2.18
pylint==1.7.4
pymssql==2.1.3
PyNaCl==1.1.2
pyOpenSSL==17.3.0
pypandoc==1.4
PyYAML==3.12
requests==2.18.4
robotframework==3.0.2
selenium==3.6.0
singledispatch==3.4.0.3
six==1.11.0
SQLAlchemy==1.1.14
urllib3==1.22
wrapt==1.10.11

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = super-devops
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
